<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index_g"></a>- g -</h3><ul>
<li>get()
: <a class="el" href="classNVS.html#a36b01ca8871d435f7a9c885d81df8e3c">NVS</a>
</li>
<li>getAccelX()
: <a class="el" href="classMPU6050.html#af173b8a978794d3e5586d828fc15f016">MPU6050</a>
</li>
<li>getAccelY()
: <a class="el" href="classMPU6050.html#a1990ec4720e8c138e861fff892893de5">MPU6050</a>
</li>
<li>getAccelZ()
: <a class="el" href="classMPU6050.html#ad060cf867a99f9d529cdee6bf849e767">MPU6050</a>
</li>
<li>getAddress()
: <a class="el" href="classI2C.html#aa0b398b4369cf4db773aeb579c3919bc">I2C</a>
</li>
<li>getApGateway()
: <a class="el" href="classWiFi.html#af77c417d0a5a3285c8cedf1d7cc9ea23">WiFi</a>
</li>
<li>getApIp()
: <a class="el" href="classWiFi.html#aff9498a1f42011f3d38876444a153963">WiFi</a>
</li>
<li>getApIpInfo()
: <a class="el" href="classWiFi.html#aa158786a3a91c13956be956e7d094622">WiFi</a>
</li>
<li>getApMac()
: <a class="el" href="classWiFi.html#a6b4031d4fa81fe133c7a6390669aa851">WiFi</a>
</li>
<li>getApNetmask()
: <a class="el" href="classWiFi.html#a7ba16ba35e5543c23db71dd9e054f555">WiFi</a>
</li>
<li>getApSSID()
: <a class="el" href="classWiFi.html#abe209be37e5626ace49f182c57f96747">WiFi</a>
</li>
<li>getAuthMode()
: <a class="el" href="classWiFiAPRecord.html#aa8857d2c0e0162b6eb38258db488131d">WiFiAPRecord</a>
</li>
<li>getBind()
: <a class="el" href="classSocket.html#a6b59f7b6e3be56f4d4a27558bde48e85">Socket</a>
</li>
<li>getBody()
: <a class="el" href="classHttpRequest.html#afbdb7737b89853ed346dd61c51e1836f">HttpRequest</a>
</li>
<li>getBoolean()
: <a class="el" href="classJsonArray.html#a469e76b66f2a726c5dab76df503453f2">JsonArray</a>
, <a class="el" href="classJsonObject.html#ad80fed0c6cf783b90895170e88fc790e">JsonObject</a>
</li>
<li>getBrightness()
: <a class="el" href="classSmartLED.html#a735d83c9c1f664ea3328daeb36748eb6">SmartLED</a>
</li>
<li>getChipInfo()
: <a class="el" href="classSystem.html#a46ab3e4bac810433df782ecd33677223">System</a>
</li>
<li>getClientTimeout()
: <a class="el" href="classHttpServer.html#a284988ba72075a9abc3af5499ed9ed56">HttpServer</a>
</li>
<li>getContent()
: <a class="el" href="classFile.html#aaa235586228b3a712b65a4fc951d35bf">File</a>
</li>
<li>getCurrentDirectory()
: <a class="el" href="classFTPServer.html#a89b431ba6aab76fc1da8f9aa3a4c3cc6">FTPServer</a>
</li>
<li>getData()
: <a class="el" href="classDMABuffer.html#a047eecb2d3537cd58c867919201166e8">DMABuffer</a>
, <a class="el" href="classFreeRTOSTimer.html#a162a7a248cef2303e6b96048056ef322">FreeRTOSTimer</a>
</li>
<li>getDesc()
: <a class="el" href="classDMABuffer.html#ae87c79cf63ca6d258ba1e68e9cf94408">DMABuffer</a>
</li>
<li>getDeviceCount()
: <a class="el" href="classMAX7219.html#a2765aed08c5ea70f43937c8b88d8b71a">MAX7219</a>
</li>
<li>getDirectoryContents()
: <a class="el" href="classFileSystem.html#a300fa44365bef5cfc3abfb6a9ad117ee">FileSystem</a>
</li>
<li>getDouble()
: <a class="el" href="classJsonArray.html#a990fd5ff27aafa9d87b1f182864411b2">JsonArray</a>
, <a class="el" href="classJsonObject.html#af1ee31ad591bbb55fbdc97c38c041d83">JsonObject</a>
</li>
<li>getDuty()
: <a class="el" href="classPWM.html#a7d6403597b936f73be3a53b330d15f52">PWM</a>
</li>
<li>getEventHandler()
: <a class="el" href="classWiFiEventHandler.html#a9eeffe417501462c8a12a9e879a69444">WiFiEventHandler</a>
</li>
<li>getFD()
: <a class="el" href="classSocket.html#a2ba81037cc4a722e155c7bbbfef58b0d">Socket</a>
</li>
<li>getFileBufferSize()
: <a class="el" href="classHttpServer.html#ac771b9fe9b2d825df7231ff0dee7e253">HttpServer</a>
</li>
<li>getFreeHeapSize()
: <a class="el" href="classSystem.html#a52c0dd40c777aca8c876d59501572300">System</a>
</li>
<li>getFrequency()
: <a class="el" href="classPWM.html#a70e2e1ad7736f241eef020ec4c7e7fff">PWM</a>
</li>
<li>getGyroX()
: <a class="el" href="classMPU6050.html#aab4b804199502c66690299271f4409aa">MPU6050</a>
</li>
<li>getGyroY()
: <a class="el" href="classMPU6050.html#a9b04cec99150129e5c6c430b98f6f69d">MPU6050</a>
</li>
<li>getGyroZ()
: <a class="el" href="classMPU6050.html#af4ac58031f862c260c7b8c9bd18db00b">MPU6050</a>
</li>
<li>getHandler()
: <a class="el" href="classWebSocket.html#a93cd22aa94f9c0ef2a49e78a822aaa88">WebSocket</a>
</li>
<li>getHeader()
: <a class="el" href="classHttpParser.html#ac41defb5ee108129a23e3b5466343627">HttpParser</a>
, <a class="el" href="classHttpRequest.html#ab252baed3c7368fd26708c299bf89e34">HttpRequest</a>
, <a class="el" href="classHttpResponse.html#ab76b0ba3926f6ddd0396b9cbe75c8cfe">HttpResponse</a>
</li>
<li>getHostByName()
: <a class="el" href="classWiFi.html#a0ce7f33b938cfeb19a1f36a3080b602b">WiFi</a>
</li>
<li>getIDFVersion()
: <a class="el" href="classSystem.html#a6c15815ebd772e8870331bbe281f940e">System</a>
</li>
<li>getInt()
: <a class="el" href="classJsonArray.html#a451aeaf9796d6563cb2a7302102bbefb">JsonArray</a>
, <a class="el" href="classJsonObject.html#a05eff76d1f6f0df121113b62f59a326f">JsonObject</a>
</li>
<li>getLength()
: <a class="el" href="classDMABuffer.html#a276d74a50f24cecf801f9232b61eef79">DMABuffer</a>
</li>
<li>getMagnitude()
: <a class="el" href="classMPU6050.html#a024dfc449b29fb0adac8455950b1010d">MPU6050</a>
</li>
<li>getMinimumFreeHeapSize()
: <a class="el" href="classSystem.html#a79e98f3c31457dfc4b27176b997cda27">System</a>
</li>
<li>getMode()
: <a class="el" href="classWiFi.html#abe399adb8a5d43f6affff8ceb78fc3fc">WiFi</a>
</li>
<li>getName()
: <a class="el" href="classFile.html#a9e324b9cb28fc557b92901f2481ce0fb">File</a>
, <a class="el" href="classFreeRTOSTimer.html#a9ab13f95f2bcb12a65fee1775f9c40b8">FreeRTOSTimer</a>
</li>
<li>getNext()
: <a class="el" href="classDMABuffer.html#a2c89b2bbc644aa8d45eb567677909e60">DMABuffer</a>
</li>
<li>getNextHandler()
: <a class="el" href="classWiFiEventHandler.html#a0b24b1ee868a02ec650205f79b0b04c4">WiFiEventHandler</a>
</li>
<li>getObject()
: <a class="el" href="classJsonArray.html#aa27a10fde0ca40af40e40a6fbabe3441">JsonArray</a>
, <a class="el" href="classJsonObject.html#a8d6e610c9cfe477d9b9126cee33d896b">JsonObject</a>
</li>
<li>getPeriod()
: <a class="el" href="classFreeRTOSTimer.html#a423965d8980aae6a1877b338a2d83d55">FreeRTOSTimer</a>
</li>
<li>getPixelCount()
: <a class="el" href="classSmartLED.html#a1c560b3cc7f1dc88337d22cbd890f933">SmartLED</a>
</li>
<li>getPort()
: <a class="el" href="classHttpServer.html#af4a61a2ac8da8773025da0d2fde1aef5">HttpServer</a>
</li>
<li>getQuery()
: <a class="el" href="classHttpRequest.html#ab09977e9201d7b79d0f77d416096d707">HttpRequest</a>
</li>
<li>getRecordSize()
: <a class="el" href="classWebSocketInputStreambuf.html#a8cf5dcebbeefc1670767ac619472e0bb">WebSocketInputStreambuf</a>
</li>
<li>getRootPath()
: <a class="el" href="classHttpServer.html#aa4dfccf48a9c721ca8bb00d61f7b4e13">HttpServer</a>
</li>
<li>getRSSI()
: <a class="el" href="classWiFiAPRecord.html#ae024a1fbae5a6af6390c2a40513ff15d">WiFiAPRecord</a>
</li>
<li>getSocket()
: <a class="el" href="classHttpRequest.html#a704e22a6312c4b88d3a13803893faccf">HttpRequest</a>
, <a class="el" href="classWebSocket.html#aab1c6f5102716a4200d930ec0e63546e">WebSocket</a>
</li>
<li>getSSID()
: <a class="el" href="classWiFiAPRecord.html#ab7b7a360e920f2cb6933ed142ccce7bf">WiFiAPRecord</a>
</li>
<li>getSSL()
: <a class="el" href="classHttpServer.html#ad3d17b4df0252445a2ed4f0f8ea06201">HttpServer</a>
, <a class="el" href="classSockServ.html#aa62641e571ccec4dd6ec8c141204fe5e">SockServ</a>
</li>
<li>getStaGateway()
: <a class="el" href="classWiFi.html#a6e72ca5bdf809465049966ef99bef570">WiFi</a>
</li>
<li>getStaIp()
: <a class="el" href="classWiFi.html#a68cb65b5b2ce951ae7cc348d977ee78e">WiFi</a>
</li>
<li>getStaIpInfo()
: <a class="el" href="classWiFi.html#a2aa9896c734e6e2e920d3216f175c596">WiFi</a>
</li>
<li>getStaMac()
: <a class="el" href="classWiFi.html#a08647c8bdbb4d8612abb2a4daf5dbdb1">WiFi</a>
</li>
<li>getStaNetmask()
: <a class="el" href="classWiFi.html#a30e6d1c318cad75f44822fce97ded972">WiFi</a>
</li>
<li>getStaSSID()
: <a class="el" href="classWiFi.html#a888168c815c5363e79b2896b3790df25">WiFi</a>
</li>
<li>GetStatusCodeName()
: <a class="el" href="classMFRC522Debug.html#a3d209dc1514445c4b6095a50e873ff6a">MFRC522Debug</a>
</li>
<li>getString()
: <a class="el" href="classJsonArray.html#aef6956e2bcf6d597cc49e447b56d2e72">JsonArray</a>
, <a class="el" href="classJsonObject.html#a2d38de00713456e0c9f788c8b07b6506">JsonObject</a>
</li>
<li>getTimeSinceStart()
: <a class="el" href="classFreeRTOS.html#aa2f4b1bd2944ae5e0c97a5dcbca65e66">FreeRTOS</a>
</li>
<li>getType()
: <a class="el" href="classFile.html#a6d87eea1cf2a07b3f2a23f8607c88c3c">File</a>
</li>
<li>give()
: <a class="el" href="classFreeRTOS_1_1Semaphore.html#ad6ad56219f257dada3ad820ebbe8ec12">FreeRTOS::Semaphore</a>
</li>
<li>giveFromISR()
: <a class="el" href="classFreeRTOS_1_1Semaphore.html#a4446a195e3eee6704b4ad09528bedc0b">FreeRTOS::Semaphore</a>
</li>
<li>green
: <a class="el" href="structpixel__t.html#a945c55299b107661d118e849b388039b">pixel_t</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
